export interface IXInvoice {
  InvoiceNumber: string;
  DateIssued: string; // Date in ISO 8601 format
  Seller: IParty;
  Buyer: IParty;
  Items: IInvoiceItem[];
  TotalAmount: number;
}

export interface IParty {
  Name: string;
  Address: IAddress;
  Contact: IContact;
}

export interface IAddress {
  Street: string;
  City: string;
  PostalCode: string;
  Country: string;
}

export interface IContact {
  Email: string;
  Phone: string;
}

export interface IInvoiceItem {
  Description: string;
  Quantity: number;
  UnitPrice: number;
  TotalPrice: number;
}
